__all__ = 'PluginVersion'


class PluginVersion:

    def __init__(self, major, minor, build):
        self._major = major
        self._minor = minor
        self._build = build

    def get_major_version(self):
        return self._major

    def get_minor_version(self):
        return self._minor

    def get_build_version(self):
        return self._build

    def to_string(self):
        return unicode(self._major) + '.' + unicode(self._minor) + '.' + unicode(self._build)
