__all__ = 'QtPlugin'

import gm_meta_plugin
from abc import abstractmethod


class QtPlugin(gm_meta_plugin.Plugin):

    @abstractmethod
    def create_default_job_presets(self):
        raise NotImplementedError

    @abstractmethod
    def get_job_preset_validator(self):
        raise NotImplementedError
