__all__ = 'InputWidget'

from PySide2 import QtCore


class InputWidget(object):

    # all input widgets must have a signal for when their value has been changed
    input_value_changed = QtCore.Signal()

    def get_value(self):
        raise NotImplementedError

    def set_value(self, value):
        raise NotImplementedError

    def _catch_value_change(self):
        self.input_value_changed.emit()
