__all__ = 'PluginFetcher'

from abc import abstractmethod


class PluginFetcher:

    _plugin = None

    @staticmethod
    @abstractmethod
    def get_plugin():
        raise NotImplementedError

    @staticmethod
    @abstractmethod
    def get_plugin_if_initialised():
        raise NotImplementedError

    @staticmethod
    @abstractmethod
    def delete_cached_plugin():
        raise NotImplementedError
