__all__ = 'PluginUtils'

from abc import abstractmethod


class PluginUtils:

    @abstractmethod
    def get_application_version(self):
        raise NotImplementedError

    @abstractmethod
    def get_sys_info(self):
        raise NotImplementedError

    @abstractmethod
    def copy_to_clipboard(self, value):
        raise NotImplementedError
