__all__ = 'ProjectAttributeFactory'

from .plugin_accessor import PluginAccessor
from .project_attribute import ProjectAttribute


class ProjectAttributeFactory(PluginAccessor):

    def __init__(self, plugin):
        PluginAccessor.__init__(self, plugin)

    def get_project_attribute(self,
                              project_attribute_id,
                              attribute,
                              transitions,
                              compatible_job_definitions):

        return ProjectAttribute(self.get_plugin(),
                                project_attribute_id,
                                attribute,
                                transitions,
                                compatible_job_definitions)
