__all__ = 'UserInterface'


class UserInterface(object):

    def __init__(self, plugin):
        self._plugin = plugin

    def get_plugin(self):
        return self._plugin

    # email
    def get_auth_email(self):
        raise NotImplementedError

    def set_auth_email(self, email):
        raise NotImplementedError

    def get_auth_email_validity_flag(self):
        raise NotImplementedError

    def set_auth_email_validity_flag(self, is_valid):
        raise NotImplementedError

    def get_auth_email_validity_message(self):
        raise NotImplementedError

    def set_auth_email_validity_message(self, message):
        raise NotImplementedError

    # access key
    def get_auth_access_key(self):
        raise NotImplementedError

    def set_auth_access_key(self, auth_access_key):
        raise NotImplementedError

    def get_auth_access_key_validity_flag(self):
        raise NotImplementedError

    def set_auth_access_key_validity_flag(self, is_valid):
        raise NotImplementedError

    def get_auth_access_key_validity_message(self):
        raise NotImplementedError

    def set_auth_access_key_validity_message(self, message):
        raise NotImplementedError

    # user
    def get_user_validity_flag(self):
        raise NotImplementedError

    def set_user_validity_flag(self, is_valid):
        raise NotImplementedError

    def get_user_validity_message(self):
        raise NotImplementedError

    def set_user_validity_message(self, message):
        raise NotImplementedError

    # operation
    def is_running_operation(self):
        raise NotImplementedError

    def set_is_running_operation_flag(self, value):
        raise NotImplementedError

    def get_running_operation_message(self):
        raise NotImplementedError

    def set_running_operation_message(self, message):
        raise NotImplementedError

    # load profile
    def load_profile(self, user_profile):
        raise NotImplementedError

    # logging
    def show_log_dates(self):
        raise NotImplementedError

    def set_show_log_dates(self, enabled):
        raise NotImplementedError

    def show_log_times(self):
        raise NotImplementedError

    def set_show_log_times(self, enabled):
        raise NotImplementedError

    def show_logger_names(self):
        raise NotImplementedError

    def set_show_logger_names(self, enabled):
        raise NotImplementedError

    # job preset
    def get_show_hidden_job_preset_attributes(self):
        raise NotImplementedError

    def set_show_hidden_job_preset_attributes(self, value):
        raise NotImplementedError
